Overview

Next topic Database Storage Using DBConfig

DBConfig is a utility that allows the user to connect test information with frames of an SDD file and assist in the organization of your test data. Using DBConfig stand alone allows you to create, modify, and query a Microsoft Access database. Once the database is setup, you can control DBConfig through the Puma Test Settings Dialog. This documentation is designed to help you become familiar with the DBConfig application and it's features. It also contains a section to assist in the operation of the database features within the Puma application.

If you have not yet setup your database and are unfamiliar to the DBConfig environment, it is suggested that you browse through the various topics in order using the browse buttons starting here, Creating a Database.

This online help is best viewed using Internet Explorer with text size 'smaller'.

Last updated on September 18, 2002

Copyright 2002 Spectral Dynamics Inc. Microsoft Access and Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.


Creating a Database

When initially starting DBConfig, you must create a new empty database which must be connected to an Access Database. Each subsequent time DBConfig is opened, it will automatically re-open the last opened database.

Select 'D atabase' then 'New' to create a new Access Database (.mdb).

 Enter the name of the new database under the 'Data Source N ame' field. 'D escription' is an optional field describing the database. The other options are not necessary for creating a new database. Click [OK].

You may need to register a database if it is not yet configured to work with DBConfig.

Select 'D atabase' then 'Register' to open up the New Data Source dialog. Select the 'User Data Source' radio button as this is the most commonly used.

In the next dialog, select 'Microsoft Access Driver (*.mdb)' as the data source. Then click finish. The same dialog as when creating a new database will appear allowing to then give the database a 'Data Source N ame' and 'D escription'

Copyright 2002 Spectral Dynamics Inc.


Opening a Database

When more than one database is defined in DBConfig, you will need to setup a 'D SN Name' for each.

Select 'D atabase' then 'Open'. If a data source name is created for a particular database then select that then press [OK]. If not then you will need to create one.

Click on [New] then select 'Microsoft Access Driver (*.mdb)' as the data source and press [Next]. Enter the Data Source Name for the database then click [Next].

Under the Database section, click on [Select] and choose the database (.mdb) to be associated with the Data Source then press [OK]. You will then be able to select the database under the open dialog. Do this for each database.


Definition, Tests, and Runs

What are Definitions, Tests, and Runs?

A definition is essentially a user defined table within a database. A database may contain several definitions. Within each definition there can be a number of tests each containing multiple runs. A definition contains a single set of fields. It's tests and runs will also contain these same fields

A definition must be a unique name within the database. Test and Run fields must also contain a unique combination value in the database. For example a definition can have a test named Boeing with the run
equal to 1. This combination of values must not occur together within any other definition within the database.

The system will automatically check for duplicated entries by displaying this dialog when invalid data is entered.


Field Types

For each field in a definition there is a data type that must be assigned. There are three categories of types: Basic, Range, and Enumeration.

Basic types consist of either a text field, number, date, or time. A text fields will accept any text input. Number fields will accept decimal or floating point numbers. Date and time fields use the windows date and time controls which allow you to manually input a date or time.

A range is a number that has a minimum and a maximum value. Enter a name for the range, the min and max values, then press [Create Range]. The range is now available as a type selection when a test definition is being created. When adding data to a field of this type, a check will be made to make sure the entered number is within range. If it is not, an error message will be displayed and the number will not be accepted.

An enumeration is a list of possible values for a field. Enter a name for the enumeration and push
[Create Enumeration]. You can now add and remove possible values for that enumeration using the
[Add / Remove Value] buttons. When adding data to a field of this type, the user must select one of the possible values from a list.


Field Settings

Under the 'V iew' menu select 'Settings' to open up the Field Settings dialog box. This is where you specify the label and field width of the data window.

Auto Save Changes: When entering data in a test, the data entered will be lost if you move to a different test without pressing [Update]. If you want your changes to always be saved when you move through tests, check this box.

Label Field


Creating a Definition and Fields

▪ Select 'Data' then 'Definitions' to open up the test definition dialog.

▪ Type in the name of the definition then press [Create Definition].

▪ Once the definition is created, you may then begin to add fields. You may already notice that there are already two fields created for you, 'TestName' and 'TestRun'. These are required fields and cannot be deleted. Type in the name of the field select it's type and category then press [Add Field]. See Field Types for more information about the category types Basic, Range, and Enum.

 ▪ Once you are done adding all necessary fields to the definition, close the dialog by clicking on the close icon in the upper right corner.


Creating a Test and Run

▪ Once you have created a definition with the desired fields, you should then create a new Test and Run.

▪ Click on [New] then fill in the entries under Test and Run. Press [Create] when finished. There is now a new record in the database. All the fields you defined will be in the form, and the type of each field will determine what data can be entered. When a test is first created all of the fields will be empty. You can enter them when the test is created, or come back later to update them.

▪ When a change is made to a test, an asterisk (*) will appear on the [Update] button reminding you that the change in the record has not been saved yet. Push this button to save your changes at any time. If you move to a different test without saving your changes, the changes will be lost. If you want your changes to always be saved when you change tests, turn on the 'Auto Save Changes' feature in the settings dialog under the 'V iew' menu.


Importing a Data File

Under the 'V iew' menu select 'Import' to open up the Import Data dialog box. The import dialog will allow you to assign all the frames of an SDD file to the specified test in the database. This is useful when an SDD file has been created without the database being active.

When an SDD file is imported, the TestName, TestRun, DataLocation and FrameID fields are entered into a table called 'Frames' as shown on the left. When an STS file is imported, all the fields are entered into a table called 'SCSI Files' as shown on the right. The fields 'ChanFlag' and 'ChanSensitivity' are each there own field with either a 1 (channel on) or a 0 (channel off).


Using the Database Features in Puma

Once you have setup the database using the standalone DBConfig, you can now begin adding test runs to the database.

▪ Under the main Puma control window, select 'S etup' then 'C ontrols' to open up the Test Settings dialog. Select the database tag.

▪ Click on Enable Storage. When a test is started, the saved data frames will be automatically entered into the selected field of the database as specified under the Data Storage tab. The [Auto Generate] feature is recommended when using the database because the data frames are not retrieved properly when they are overwritten. [Auto Generate] will take care of this for you.

Enable Storage: Check this box to enable database storage of the test data.

[Refresh]: Press this button to refresh the database window in Puma if changes to the database are made using DBConfig.

[Next Run]: Pushing this will create a new run in the selected test which is not already in use.

[Setup Database]: This will open up the DBConfig application to make changes to the database if needed.


Query Generator

Previous topic Query Generator

Queries are used to retrieve frames from the database. Once they are retrieved, you can view the information in the frame headers, or merge the frames together into a new SDD file. You can save a query (.sqf) using the 'F ile' menu.

▪ The first step in making a query is to enter a name for the query and then push [Create].

▪ Once that is done, you can begin to define the other search parameters. There are three important parts to defining the query: Selected Fields, Restrictions, and Orderings.

Selected Fields: These are the displayed fields when viewing the results of a query. They can be fields from the test definition or from the frame header. All possible fields will appear under the test definition. Select the fields you want, and press [>] to add them to the selected fields list.

Restrictions: Restrictions are used to narrow the search. For a frame to be returned by the search, it must meet all the restrictions specified. A search with no restrictions will return every frame in the database. There are several special operators that can also be added to customize the search. They are the left and right parenthesis, and the OR operator. The parentheses are used to group restrictions similar to a regular mathematical expression. The OR operator can be used to retrieve a frame when either of two restrictions are met. Unless the OR operator is used, the relationship between two restrictions is assumed to be an AND. The OR operator has a lower precedence than the AND. If you want an OR operator to be evaluated before an AND, you can use the parenthesis to achieve this.

Orderings: When frames are retrieved they will be returned in the order that they were inserted into the database. If you want them sorted by the values of a field, add an ordering on that field and specify if the ordering is to be ascending or descending. You can have up to ten orderings with the entries on the top of the list having a higher precedence. Having multiple orderings means that if the first ordering has multiple values, which are the same, their order is determined by the second ordering.

[SDD File]: Once the query is created, you can press this button to generate an SDD file with the selected frames of the query.

Simple Query Example
Shown below is an example of simple query. The query is to generate a report of all frame IDs less than or equal to 20 and display them in Ascending order along with their TestName and TestRun.


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2002 Spectral Dynamics Inc.

Microsoft Access and Windows are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.